#include <bits/stdc++.h>
using namespace std;
int main()
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);
	long long a, b, z;
cin >> a >> b;
z = 0;
	long long t = 1;
while (max(a, b) > 0)
{
   if (a % 10 == b % 10)
   {
        z = z + (a % 10 * 10 + b % 10) * t;
        t *= 10;
    }
    else if (a % 10 < b % 10)
    {
        z = z + (b % 10) * t;
    }
	else if (a % 10 > b % 10)
    {
	 z = z + (a % 10) * t;
    }
    a = a / 10;
    b = b / 10;
    t *= 10;
    }
    cout << z;
    return 0;
}